Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deResource.hpp File Reference

Global resource handler. More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deResource.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeResourceBase
class | IdeResourceManager
## Defines
#define | DERESOURCE_API extern "C" DEDLL_IMPORT
## Typedefs
typedef IdeResourceManager *(* | fIdeResourceManager_GetManager )()
| a type to use to retrieve the function pointer
typedef IdeResourceBase *(* | deResourceMakerCB )(const char *filename, IdeFile *file, deBoolean isThreaded)
| used to register file types
## Functions
C DEDLL_IMPORT IdeResourceManager * | IdeResourceManager_GetManager ()
| Retrieve the Resource Manager singleton.
DEDLL_IMPORT void | IdeResourceManager_ShutDown ()

## Detailed Description

Global resource handler.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2001

Author:
  Assassin

Remarks:
  Creation

Date:
  Feb 2002

Author:
  Hootie

Remarks:
  Level 2 Singleton DLL Wrap

## Define Documentation

#define DERESOURCE_API extern "C" DEDLL_IMPORT

## Typedef Documentation

typedef IdeResourceBase*(* deResourceMakerCB)(const char *filename, IdeFile *file, deBoolean isThreaded)

| used to register file types

typedef IdeResourceManager*(* fIdeResourceManager_GetManager)()

| a type to use to retrieve the function pointer

## Function Documentation

C DEDLL_IMPORT IdeResourceManager* IdeResourceManager_GetManager | ( |  | ) |

| Retrieve the Resource Manager singleton.

DEDLL_IMPORT void IdeResourceManager_ShutDown | ( |  | ) |